class Powers{
    async getPowersEmp(){
      $.ajax({
        url:"model/class.php",
        type:'POST',
        dataType:"JSON",
        data:{
          type:"getPowers",
          id:main.idEmp
        },
        success:function(data){
          powersEmp = data
        }
      })
    }
    async checkOpenPage(page){
        let error = 0;
        if(page == "emp"){
            if(!powersEmp || powersEmp[0] == 0){
                error = 1;
            }
        }
        if(page == "service"){
            if(!powersEmp || (powersEmp[1] == 0 && powersEmp[2] == 0 && powersEmp[3] == 0 & powersEmp[4] == 0)){
                error = 1;
            }
        }
        if(page == "cus"){
            if(!powersEmp || (powersEmp[5] == 0 && powersEmp[6] == 0 && powersEmp[7] == 0 & powersEmp[8] == 0)){
                error = 1;
            }
        }
        if(page == "sales"){
            if(!powersEmp || (powersEmp[9] == 0 && powersEmp[10] == 0 )){
                error = 1;
            }
        }
        if(page == "exp" ){
            if(!powersEmp || (powersEmp[13] == 0 && powersEmp[14] == 0 && powersEmp[15] == 0 & powersEmp[16] == 0  )){
                error = 1;
            }
        }
        if(error == 1){
            new Sweetalert2("لا يوجد صلاحية","","error")
            return false;
        }
        return true;
    }
    async checkOpenMethod(page,type){
      let error = 0;
      if(page == "service"){
        if(type == "show"){
          if(powersEmp[1] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "add"){
          if(powersEmp[2] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "update"){
          if(powersEmp[3] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "delete"){
          if(powersEmp[4] == 0 || !powersEmp){
            error = 1;
          }
        }
      }
      if(page == "cus"){
        if(type == "show"){
          if(powersEmp[5] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "add"){
          if(powersEmp[6] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "update"){
          if(powersEmp[7] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "delete"){
          if(powersEmp[8] == 0 || !powersEmp){
            error = 1;
          }
        }
      }

      if(page == "sales"){
        if(type == "add"){
          if(powersEmp[9] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "discount"){
          if(powersEmp[10] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "delete"){
          if(powersEmp[11] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "rebort"){
          if(powersEmp[12] == 0 || !powersEmp){
            error = 1;
          }
        }

      }
      if(page == "exp"){
        if(type == "add"){
          if(powersEmp[13] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "update"){
          if(powersEmp[14] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "delete"){
          if(powersEmp[15] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "outExp"){
          if(powersEmp[16] == 0 || !powersEmp){
            error = 1;
          }
        }
        if(type == "rebort"){
          if(powersEmp[17] == 0 || !powersEmp){
            error = 1;
          }
        }
      }
      if(error == 1){
        new Sweetalert2("لا يوجد صلاحية","","error")
        return false;
      }
      return true;
    }
}
var powers = new Powers();
/*

الموظفين :  1 
 الخدمات :
    عرض 2
    اضافة : 3
    تعديل : 4
    حدف : 5
 العملاء : 
    عرض : 6
    اضافة : 7
    تعديل: 8
    حذف : 9

المبيعات :  
    البيع : 10
    الخصم : 11
    حذف المبيعات : 12
     تقارير المبيعات : 13


المصاريف
    اضافة : 14
    تعديل : 15
    حذف : 16
    صرف :17
    تقرير المصاريف :18
*/